Index: trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- trunk/expressoMail1_2/js/draw_api.js	(revision 5083)
+++ trunk/expressoMail1_2/js/draw_api.js	(revision 5134)
@@ -51,6 +51,8 @@
 					else if (data[i].folder_unseen <= 0)
 					{
+						if(tree_folders.getNodeById(data[i].folder_id)){
 						tree_folders.getNodeById(data[i].folder_id).alter({caption:lang_folder(data[i].folder_name)});
 						tree_folders.getNodeById(data[i].folder_id)._refresh();
+					}
 					}
 
@@ -152,25 +154,11 @@
 		 */
 		if (preferences.use_local_messages==1 || expresso_offline) {
-			if (!window.google || !google.gears) {
-				if (!expresso_local_messages.installGears())
-					preferences.use_local_messages=0;
-			}
-			else{
-				if (!window.google || !google.gears) {
-				temp = confirm(get_lang("To use local messages you have to install google gears. Would you like to be redirected to gears installation page?"));
-				if (temp) {
-                                       //if(is_win && is_gecko && preferences.gears_firefox_windows != "")
-                                        //    location.href = preferences.gears_firefox_windows;
-                                       //else if(!is_win && is_gecko && preferences.gears_firefox_linux != "")
-                                         //  location.href = preferences.gears_firefox_linux;
-                                       //else if(is_ie && preferences.gears_ie != "")
-                                           //location.href = preferences.gears_ie;
-                                       //else
-							expresso_local_messages.installGears();
-				}
-				else {
-					preferences.use_local_messages=0;
-				}
-			}
+			    //verifica se gears esta installado ou o offline
+			if( (!window.google || !google.gears) &&
+			     !expresso_local_messages.installGears() ){
+                                preferences.use_local_messages = 0;
+			}
+			else if( !expresso_local_messages.is_offline_installed() )
+				preferences.use_local_messages = 0;
 			else{
 				if (expresso_offline)
@@ -210,10 +198,9 @@
 				}
 			}
-		}
 
 		tree_folders.draw(Element('content_folders'));
 		if (!expresso_offline) {
-			//n_root.changeState();
-			//tree_folders.getNodeById('INBOX')._select();
+			n_root.changeState();
+			tree_folders.getNodeById('INBOX')._select();
 		}
 		else {
@@ -260,5 +247,5 @@
 
 		draw_paging(Element('tot_m').innerHTML);
-		if(document.getElementById("nINBOX/"+trashfolder+"tree_folders"))
+		if(document.getElementById("nINBOX"+cyrus_delimiter+trashfolder+"tree_folders"))
 		{
 			var trash = document.createElement("SPAN");
@@ -271,7 +258,7 @@
 			trash.onmouseover = function() {trash.style.color="red";};
 			trash.onmouseout= function() {trash.style.color="#666666";};
-			document.getElementById("nINBOX/"+trashfolder+"tree_folders").appendChild(trash);
-		}
-		if(document.getElementById("nINBOX/"+spamfolder+"tree_folders"))
+			document.getElementById("nINBOX"+cyrus_delimiter+trashfolder+"tree_folders").appendChild(trash);
+		}
+		if(document.getElementById("nINBOX"+cyrus_delimiter+spamfolder+"tree_folders"))
 		{
 						var spam = document.createElement("SPAN");
@@ -285,5 +272,5 @@
 						spam.onmouseover = function() {spam.style.color="red";};
 						spam.onmouseout= function() {spam.style.color="#666666";};
-						document.getElementById("nINBOX/"+spamfolder+"tree_folders").appendChild(spam);
+						document.getElementById("nINBOX"+cyrus_delimiter+spamfolder+"tree_folders").appendChild(spam);
 			   }
 
@@ -540,5 +527,6 @@
   	if(current_page != 1) {
 	  	lnk_page = document.createElement("A");
-		lnk_page.setAttribute("href", "javascript:current_page=1;kill_current_box(); draw_paging("+num_msgs+"); proxy_mensagens.messages_list(get_current_folder(),"+msg_range_begin+","+msg_range_end+",'"+sort_box_type+"','"+search_box_type+"',"+sort_box_reverse+","+preferences.preview_msg_subject+","+preferences.preview_msg_tip+",function handler(data){alternate_border(0); draw_box(data, get_current_folder());});");
+		//lnk_page.setAttribute("href", "javascript:current_page=1;kill_current_box(); draw_paging("+num_msgs+"); proxy_mensagens.messages_list(get_current_folder(),"+msg_range_begin+","+msg_range_end+",'"+sort_box_type+"','"+search_box_type+"',"+sort_box_reverse+","+preferences.preview_msg_subject+","+preferences.preview_msg_tip+",function handler(data){alternate_border(0); draw_box(data, get_current_folder());});");
+		lnk_page.setAttribute("href", "javascript:current_page=1; draw_paging("+num_msgs+"); proxy_mensagens.messages_list(get_current_folder(),"+msg_range_begin+","+msg_range_end+",'"+sort_box_type+"','"+search_box_type+"',"+sort_box_reverse+","+preferences.preview_msg_subject+","+preferences.preview_msg_tip+",function handler(data){alternate_border(0); draw_box(data, get_current_folder());});");
   	}
   	else {
@@ -579,5 +567,6 @@
   			msg_range_begin = ((i*preferences.max_email_per_page)-(preferences.max_email_per_page-1));
 			msg_range_end = (i*preferences.max_email_per_page);
-			lnk_page.setAttribute("href", "javascript:current_page="+i+";kill_current_box(); draw_paging("+num_msgs+"); proxy_mensagens.messages_list(get_current_folder(),"+msg_range_begin+","+msg_range_end+",'"+sort_box_type+"','"+search_box_type+"',"+sort_box_reverse+","+preferences.preview_msg_subject+","+preferences.preview_msg_tip+",function handler(data){alternate_border(0); draw_box(data, get_current_folder());});");
+			//lnk_page.setAttribute("href", "javascript:current_page="+i+";kill_current_box(); draw_paging("+num_msgs+"); proxy_mensagens.messages_list(get_current_folder(),"+msg_range_begin+","+msg_range_end+",'"+sort_box_type+"','"+search_box_type+"',"+sort_box_reverse+","+preferences.preview_msg_subject+","+preferences.preview_msg_tip+",function handler(data){alternate_border(0); draw_box(data, get_current_folder());});");
+			lnk_page.setAttribute("href", "javascript:current_page="+i+"; draw_paging("+num_msgs+"); proxy_mensagens.messages_list(get_current_folder(),"+msg_range_begin+","+msg_range_end+",'"+sort_box_type+"','"+search_box_type+"',"+sort_box_reverse+","+preferences.preview_msg_subject+","+preferences.preview_msg_tip+",function handler(data){alternate_border(0); draw_box(data, get_current_folder());});");
   		}
   		lnk_page.innerHTML = "&nbsp;...&nbsp;";
@@ -593,5 +582,6 @@
   		msg_range_begin = ((total_pages*preferences.max_email_per_page)-(preferences.max_email_per_page-1));
 		msg_range_end = (total_pages*preferences.max_email_per_page);
-		lnk_page.setAttribute("href", "javascript:current_page="+total_pages+";kill_current_box(); draw_paging("+num_msgs+"); proxy_mensagens.messages_list(get_current_folder(),"+msg_range_begin+","+msg_range_end+",'"+sort_box_type+"','"+search_box_type+"',"+sort_box_reverse+","+preferences.preview_msg_subject+","+preferences.preview_msg_tip+",function handler(data){alternate_border(0); draw_box(data, get_current_folder());});");
+		//lnk_page.setAttribute("href", "javascript:current_page="+total_pages+";kill_current_box(); draw_paging("+num_msgs+"); proxy_mensagens.messages_list(get_current_folder(),"+msg_range_begin+","+msg_range_end+",'"+sort_box_type+"','"+search_box_type+"',"+sort_box_reverse+","+preferences.preview_msg_subject+","+preferences.preview_msg_tip+",function handler(data){alternate_border(0); draw_box(data, get_current_folder());});");
+		lnk_page.setAttribute("href", "javascript:current_page="+total_pages+"; draw_paging("+num_msgs+"); proxy_mensagens.messages_list(get_current_folder(),"+msg_range_begin+","+msg_range_end+",'"+sort_box_type+"','"+search_box_type+"',"+sort_box_reverse+","+preferences.preview_msg_subject+","+preferences.preview_msg_tip+",function handler(data){alternate_border(0); draw_box(data, get_current_folder());});");
 	}
 	else {
@@ -788,5 +778,6 @@
 	else
 		hT = getFirstParentOfType(el,"TABLE");
-	return (hT.parentNode.nextSibling.childNodes[0]);
+	return (hT.parentNode.nextSibling.childNodes[0].className !== "local-messages-search-warning"?
+		hT.parentNode.nextSibling.childNodes[0] : hT.parentNode.nextSibling.childNodes[1]);
 }
 
@@ -969,4 +960,6 @@
 		document.getElementById("border_table").width = "99.5%";
 
+	numBox = 0; //As pastas sempre estarão na aba 0
+	
 	openTab.content_id[numBox] = document.getElementById("content_id_"+numBox);
 	openTab.content_id[numBox].innerHTML = "";
@@ -1246,16 +1239,16 @@
 		tr_element.msg_sample = "";
 		//if(headers_msgs.msg_sample && headers_msgs.msg_sample.preview_msg_subject != "")
-		if(headers_msgs.msg_sample && preferences.preview_msg_subject == "1")
+		if(headers_msgs.msg_sample && preferences.preview_msg_subject == "1" && headers_msgs.msg_sample.body !== "")
 		{
 			if (cssForResizing) //Colunas redimensionaveis - nao trunca
-				tr_element.msg_sample = headers_msgs.msg_sample.body.substr(0,180) + "..."; //trecho do body que sera exibido com o assunto;
+				tr_element.msg_sample = Base64.decode(headers_msgs.msg_sample.body).substr(0,180) + "..."; //trecho do body que sera exibido com o assunto;
 			else
-				tr_element.msg_sample = headers_msgs.msg_sample.body.substr(0,120) + "..."; //trecho do body que sera exibido com o assunto;
+				tr_element.msg_sample = Base64.decode(headers_msgs.msg_sample.body).substr(0,120) + "..."; //trecho do body que sera exibido com o assunto;
 		}
 
 		tr_element.tip = "";
-		if(headers_msgs.msg_sample && preferences.preview_msg_tip == "1")
+		if(headers_msgs.msg_sample && preferences.preview_msg_tip == "1" && headers_msgs.msg_sample.body !== "")
 		{
-			tr_element.tip = headers_msgs.msg_sample.body.substr(3,300) + "..."; //trecho do body que sera exibido no tool-tip;
+			tr_element.tip = Base64.decode(headers_msgs.msg_sample.body).substr(3,300) + "..."; //trecho do body que sera exibido no tool-tip;
 		}
 
@@ -1266,5 +1259,5 @@
 		}
 		else{
-			if ((headers_msgs.Flagged == 'F') || headers_msgs.Importance.toLowerCase().indexOf("high")!=-1 )
+			if ((headers_msgs.Flagged == 'F') || ( headers_msgs.Importance !== undefined && headers_msgs.Importance.toLowerCase().indexOf("high")!=-1 ) )
 				add_className(tr_element,'flagged_msg');
 		}
@@ -1342,5 +1335,5 @@
 		td_element23 = createTDElement(0,4,"td_msg",null,"td_message_important_"+headers_msgs.msg_number);
 
-		if (headers_msgs.Flagged == 'F' || (headers_msgs.Importance.toLowerCase().indexOf("high") != -1 ))
+		if ( (headers_msgs.Flagged == 'F') || ( headers_msgs.Importance !== undefined && headers_msgs.Importance.toLowerCase().indexOf("high") != -1 )) 
 		{
 			td_element23.innerHTML = "<img src ='templates/"+template+"/images/important.gif' title='"+get_lang('Important')+"'>";
@@ -1370,8 +1363,8 @@
 
 		test = true;
-		if(msg_folder.indexOf(sentfolder) !=-1 ||msg_folder.indexOf(preferences.save_in_folder) !=-1 || msg_folder.replace("local_","INBOX/").indexOf(preferences.save_in_folder) !=-1)
+		if(msg_folder.indexOf(sentfolder) !=-1 ||msg_folder.indexOf(preferences.save_in_folder) !=-1 || msg_folder.replace("local_","INBOX"+cyrus_delimiter).indexOf(preferences.save_in_folder) !=-1)
 		    test = false;
 
-		if(headers_msgs.from.email.toLowerCase() == Element("user_email").value.toLowerCase() && !(preferences.from_to_sent == "1" && test) && !(msg_folder.substr(0,5) == "user/"))
+		if( (headers_msgs.from != undefined) && headers_msgs.from.email.toLowerCase() == Element("user_email").value.toLowerCase() && !(preferences.from_to_sent == "1" && test) && !(msg_folder.substr(0,5) == "user/"))
 		{
 			td_element3.onmouseover = function () {this.title=headers_msgs.to.email;};
@@ -1402,4 +1395,5 @@
 				spanSender.onmouseover = function (event) {this.style.textDecoration = "underline";try {InfoContact.begin(this,headers_msgs.from.email)} catch(e){};};
 				spanSender.onmouseout = function (){try {this.style.textDecoration = "none";clearTimeout(InfoContact.timeout);} catch(e){}};
+				if ( headers_msgs.from !== undefined )
 				spanSender.innerHTML =  headers_msgs.from.name != null ? headers_msgs.from.name : headers_msgs.from.email;
 				if (spanSender.innerHTML.indexOf(" ") == '-1' && spanSender.innerHTML.length > 25){
@@ -1458,5 +1452,5 @@
 
                 // old local messages can capture headers_msgs.udate as "hh:mm" or "dd/mm/yyyy"
-                if (headers_msgs.udate.toString().match(/\d{2}:\d{2}/) || headers_msgs.udate.toString().match(/\d{2}\/\d{2}\/\d{4}/))
+                if ( (headers_msgs.udate !== undefined) && (headers_msgs.udate.toString().match(/\d{2}:\d{2}/) || headers_msgs.udate.toString().match(/\d{2}\/\d{2}\/\d{4}/)) )
                 {
                     temp_msg_day = headers_msgs.msg_day.split('/');
@@ -1562,5 +1556,21 @@
 	document.getElementById("message_header_"+(sort_box_type.lastIndexOf("SORT") != "-1" ? sort_box_type : "SORTARRIVAL")+"_"+numBox ).innerHTML = "<B>"+type_name+"</B><img src ='templates/"+template+"/images/arrow_"+(sort_box_reverse == 1 ? 'desc' : 'asc')+"endant.gif'>";
 }
-
+function verifyOption(name, id){
+	var str = name + '' + id;
+	if(!Element(str).style.display == ""){
+		var option_reply_options = document.getElementById('msg_opt_reply_options_'+id);
+		option_reply_options.value = 'show';
+		option_reply_options.src= '../expressoMail1_2/templates/default/images/down.png';
+		Element('tr_other_options_'+id).style.display = 'none';
+		var option_more_options = document.getElementById('msg_opt_more_options_'+id);
+		option_more_options.value = 'show';
+		option_more_options.src= '../expressoMail1_2/templates/default/images/down.png';
+		Element('tr_other_more_options_'+id).style.display = 'none';
+		var option_mark_as_options = document.getElementById('msg_opt_mark_options_'+id);
+		option_mark_as_options.value = 'show';
+		option_mark_as_options.src= '../expressoMail1_2/templates/default/images/down.png';
+		Element('tr_other_mark_options_'+id).style.display = 'none';
+	}
+}
 function draw_message(info_msg, ID){
 	var content = document.getElementById('content_id_' + ID);
@@ -1589,13 +1599,10 @@
 		folder = Element(info_msg.msg_number);
 		
-	if (!folder){
-		delete_border(ID);
-		return;
-		}
+
 	if (folder){ // mensagem local criptografada nao tem ID da pasta local
 		if (folder.nextSibling){
 			var nextMsgBox = folder.nextSibling.name?folder.nextSibling.name:info_msg.msg_folder;
 
-			if (nextMsgBox == "INBOX/decifradas")// teste para ver se a mensagem vem da pasta oculta decifradas
+			if (nextMsgBox == "INBOX" + cyrus_delimiter + "decifradas")// teste para ver se a mensagem vem da pasta oculta decifradas
 					nextMsgBox = get_current_folder();
 
@@ -1605,4 +1612,5 @@
 				openTab.type[ID] = 2;
 				proxy_mensagens.get_msg(folder.nextSibling.id,nextMsgBox,true,show_msg);
+				select_msg('null', 'down', true);
 			};
 		}
@@ -1635,8 +1643,5 @@
 	img_previous_msg.style.cursor = 'pointer';
 
-	if (!folder){
-			delete_border(ID);
-		return;
-		}
+
 	if (folder){ // mensagem local criptografada nao tem ID da pasta local
 		if (folder.previousSibling)
@@ -1652,4 +1657,5 @@
 				openTab.type[ID] = 2;
 				proxy_mensagens.get_msg(folder.previousSibling.id,previousMsgBox,true,show_msg);
+				select_msg('null', 'up', true);
 			};
 		}
@@ -1730,4 +1736,8 @@
 	}
 
+	if (info_msg.Flagged == 'F')
+	{
+		td.innerHTML += '&nbsp;<img id="disposition_important_'+ID+'" style="cursor:pointer" alt="'+ get_lang('Important message') + '" title="'+ get_lang('Important message') + '" src="templates/'+template+'/images/important.gif">';
+	}
 	// NORMAL MSG
 	if(info_msg.Draft != 'X')
@@ -1736,4 +1746,6 @@
 	options.width = "30%";
 	options.setAttribute("noWrap","true");
+		
+		//BEGIN: DESENHA MOSTRA DETALHES, OCULTAR DETALHES
 	var option_hide_more = document.createElement("SPAN");
 	option_hide_more.className = 'message_options';
@@ -1756,23 +1768,42 @@
 		resizeWindow();
 	};
-	var option_mark = document.createElement('TD');
-	option_mark.align = "left";
-	option_mark.width = "50%";
-	var option_mark_as = '<span>'+get_lang("Mark as")+'</span>: ';
+		//END: DESENHA MOSTRA DETALHES, OCULTAR DETALHES
+		
+		//OPCAO PARA MARCAR COMO
+		var option_mark_as = document.createElement("SPAN");
+		option_mark_as.innerHTML = "<b>"+get_lang('Mark as')+"</b>";
+		option_mark_as.className = 'message_options';
+		option_mark_as.onmouseover=function () {this.className='message_options_active';};
+		option_mark_as.onmouseout=function () {this.className='message_options'};
+		option_mark_as.onclick = function(){
+			verifyOption('tr_other_mark_options_', ID);
+			var thi = document.getElementById('msg_opt_mark_options_'+ID);
+			if (thi.value != 'hide'){
+				thi.value = 'hide';
+				option_mark_as_options.src= '../expressoMail1_2/templates/default/images/pressed.png';
+				Element('tr_other_mark_options_'+ID).style.display = '';
+
+			}
+			else{
+				thi.value = 'show';
+				option_mark_as_options.src= '../expressoMail1_2/templates/default/images/down.png';
+				Element('tr_other_mark_options_'+ID).style.display = 'none';
+			}
+		};
+		//DESENHA OPCOES DO MARCAR COMO
 	var option_mark_as_unseen = document.createElement("SPAN");
-	option_mark_as_unseen.className = "message_options";
+		option_mark_as_unseen.className = "reply_options";
 	option_mark_as_unseen.onclick = function () {changeLinkState(this,'seen');
 		proxy_mensagens.proxy_set_message_flag(folder_id,'unseen');
 		write_msg(get_lang('Message marked as ')+get_lang("Unseen"));
 	};
-	option_mark_as_unseen.onmouseover=function () {this.className='message_options_active';};
-	option_mark_as_unseen.onmouseout=function () {this.className='message_options'};
+		option_mark_as_unseen.onmouseover=function () {this.className='reply_options_active'};
+		option_mark_as_unseen.onmouseout=function () {this.className='reply_options'};
 	option_mark_as_unseen.innerHTML = get_lang("Unseen");
 
 	var option_mark_important = document.createElement("SPAN");
-	option_mark_important.className = 'message_options';
-	option_mark_important.style.paddingLeft = "10px";
-	option_mark_important.onmouseover=function () {this.className='message_options_active';};
-	option_mark_important.onmouseout=function () {this.className='message_options'};
+		option_mark_important.className = 'reply_options';		
+		option_mark_important.onmouseover=function () {this.className='reply_options_active';};
+		option_mark_important.onmouseout=function () {this.className='reply_options'};
 
 	if (info_msg.Flagged == "F"){
@@ -1796,9 +1827,54 @@
 		option_mark_important.innerHTML = get_lang("Important");
 	}
-	option_mark.innerHTML = option_mark_as;
-	option_mark.appendChild(option_mark_as_unseen);
-	option_mark.appendChild(option_mark_important);
+		//option_mark.appendChild(option_mark_as_unseen);
+		//option_mark.appendChild(option_mark_important);
+
+		
 	option_hide_more.innerHTML = get_lang('Show details');
+		option_hide_more.title = (preferences.use_shortcuts == '1') ? get_lang('Shortcut: %1', 'O') : get_lang('Show details');
+	
+		var space3 = document.createElement("SPAN");
+		space3.innerHTML = '&nbsp;|&nbsp;';
+		
+		var option_mark_as_options = document.createElement('IMG');
+		option_mark_as_options.id = 'msg_opt_mark_options_'+ID;
+		option_mark_as_options.src = '../expressoMail1_2/templates/default/images/down.png';
+		option_mark_as_options.value = 'show';
+
+		option_mark_as_options.onmouseover = function(){
+			option_mark_as_options.src= '../expressoMail1_2/templates/default/images/over.png';
+			option_mark_as.className = 'message_options_active';
+		};
+		option_mark_as_options.onmouseout = function(){
+			option_mark_as.className = 'message_options';
+			if (this.value == 'show')
+			{
+				option_mark_as_options.src= '../expressoMail1_2/templates/default/images/down.png';
+			}
+			else
+			{
+				option_mark_as_options.src= '../expressoMail1_2/templates/default/images/pressed.png';
+			}
+		};
+		option_mark_as_options.onclick = function(){
+			verifyOption('tr_other_mark_options_', ID);
+			if (this.value != 'hide'){
+				this.value = 'hide';
+				option_mark_as_options.src= '../expressoMail1_2/templates/default/images/pressed.png';
+				Element('tr_other_mark_options_'+ID).style.display = '';
+
+			}
+			else{
+				this.value = 'show';
+				option_mark_as_options.src= '../expressoMail1_2/templates/default/images/down.png';
+				Element('tr_other_mark_options_'+ID).style.display = 'none';
+			}
+		};
+		
 	options.appendChild(option_hide_more);
+		options.appendChild(space3);
+		options.appendChild(option_mark_as_options);				
+		options.appendChild(option_mark_as);
+		//FIM OPCAO PARA MARCAR COMO
 
 	var space0 = document.createElement("SPAN");
@@ -1809,13 +1885,69 @@
 	space2.innerHTML = '&nbsp;|&nbsp;';
 
-	var option_forward = document.createElement("SPAN");
-	option_forward.id = 'msg_opt_forward_'+ID;
-	option_forward.className = 'message_options';
-	option_forward.onclick = function(){new_message('forward', ID);};
-	option_forward.onmouseover=function () {this.className='message_options_active';};
-        option_forward.onmouseout=function () {this.className='message_options'};
-	option_forward.innerHTML = get_lang('Forward');
+		//OPCAO PARA MAIS ACOES
+		var option_more = document.createElement("SPAN");
+		option_more.id = 'msg_opt_more_actions_'+ID;
+		option_more.className = 'message_options';
+		//option_more.onclick = function(){new_message('forward', ID);};
+		option_more.onmouseover=function () {this.className='message_options_active';};
+        option_more.onmouseout=function () {this.className='message_options'};
+		option_more.onclick = function(){
+			verifyOption('tr_other_more_options_', ID);
+			if (option_more_options.value != 'hide'){
+				option_more_options.value = 'hide';
+				option_more_options.src= '../expressoMail1_2/templates/default/images/pressed.png';
+				Element('tr_other_more_options_'+ID).style.display = '';
+
+			}
+			else{
+				option_more_options.value = 'show';
+				option_more_options.src= '../expressoMail1_2/templates/default/images/down.png';
+				Element('tr_other_more_options_'+ID).style.display = 'none';
+			}
+		};
+		option_more.innerHTML = get_lang('More Actions');
+		
+		//CRIA IMG DE MAIS ACOES
+		var option_more_options = document.createElement('IMG');
+		option_more_options.id = 'msg_opt_more_options_'+ID;
+		option_more_options.src = '../expressoMail1_2/templates/default/images/down.png';
+		option_more_options.value = 'show';
+
+		option_more_options.onmouseover = function(){
+			option_more.className = 'message_options_active';
+			option_more_options.src= '../expressoMail1_2/templates/default/images/over.png';
+		};
+		option_more_options.onmouseout = function(){
+			option_more.className = 'message_options';
+			if (this.value == 'show')
+			{
+				option_more_options.src= '../expressoMail1_2/templates/default/images/down.png';
+			}
+			else
+			{
+				option_more_options.src= '../expressoMail1_2/templates/default/images/pressed.png';
+			}
+		};
+		option_more_options.onclick = function(){
+			verifyOption('tr_other_more_options_',ID);
+			
+			if (this.value != 'hide'){
+				this.value = 'hide';
+				option_more_options.src= '../expressoMail1_2/templates/default/images/pressed.png';
+				Element('tr_other_more_options_'+ID).style.display = '';
+
+			}
+			else{
+				this.value = 'show';
+				option_more_options.src= '../expressoMail1_2/templates/default/images/down.png';
+				Element('tr_other_more_options_'+ID).style.display = 'none';
+			}
+		};
 	options.appendChild(space1);
-	options.appendChild(option_forward);
+		options.appendChild(option_more_options);
+		options.appendChild(option_more);
+		//FIM OPCAO PARA MAIS ACOES
+		
+		//OPCAO PARA RESPONDER
 	var option_reply = document.createElement("SPAN");
 	option_reply.id = 'msg_opt_reply_'+ID;
@@ -1825,4 +1957,5 @@
 	option_reply.onmouseover=function () {this.className='message_options_active';};
 	option_reply.onmouseout=function () {this.className='message_options'};
+		option_reply.title = (preferences.use_shortcuts == '1') ? get_lang('Shortcut: %1', 'R') : get_lang('Reply');
 
 	options.appendChild(space2);
@@ -1847,4 +1980,5 @@
 	};
 	option_reply_options.onclick = function(){
+			verifyOption('tr_other_options_', ID);
 		if (this.value != 'hide'){
 			this.value = 'hide';
@@ -1861,7 +1995,42 @@
 	options.appendChild(option_reply_options);
 	options.appendChild(option_reply);
+		//FIM OPCAO PARA RESPONDER
+		
+		//OPCAO PARA ENCAMINHAR
+		var option_forward = document.createElement("SPAN");
+		option_forward.id = 'msg_opt_forward_'+ID;
+		option_forward.className = 'message_options';
+		option_forward.innerHTML = get_lang('Forward');
+		option_forward.onclick = function(){new_message('forward', ID);};
+		option_forward.onmouseover=function () {this.className='message_options_active';};
+        option_forward.onmouseout=function () {this.className='message_options'};
+		option_forward.title = (preferences.use_shortcuts == '1') ? get_lang('Shortcut: %1', 'E') : get_lang('Forward');
+		
+		var space9 = document.createElement("SPAN");
+		space9.innerHTML = '&nbsp;|&nbsp;';
+		
+		options.appendChild(space9);
+		options.appendChild(option_forward);
+		//FIM DA OPCAO PARA ENCAMINHAR
+		
+		//OPCAO PARA DELETAR
+		var option_delete = document.createElement("SPAN");
+		option_delete.id = 'msg_opt_delete_'+ID;
+		option_delete.className = 'message_options';
+		option_delete.onclick = function(){proxy_mensagens.delete_msgs('null','selected','null');};
+		option_delete.innerHTML = get_lang('Delete');
+		option_delete.onmouseover=function () {this.className='message_options_active';};
+		option_delete.onmouseout=function () {this.className='message_options'};
+		option_delete.title = (preferences.use_shortcuts == '1') ? get_lang('Shortcut: %1', 'Delete') : get_lang('Delete');
+
+		var space6 = document.createElement("SPAN");
+		space6.innerHTML = '&nbsp;|&nbsp;';
+		
+		options.appendChild(space6);
+		options.appendChild(option_delete);
+		//FIM OPCAO PARA DELETAR
 
 	tr.appendChild(td);
-	tr.appendChild(option_mark);
+		//tr.appendChild(option_mark);
 	tr.appendChild(options);
 	tr.appendChild(next_previous_msg_td);
